Get a lot import
curl --request GET \
--url https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"import": {
"id": 22,
"importer": "lot_list",
"lot_import_status": "awaiting_mapping",
"source_url": null,
"stocklist_filename": null,
"completed": false,
"development_id": 593363170,
"supplier_id": null,
"project_id": null,
"created_at": "2026-09-14T14:02:33.791+10:00",
"updated_at": "2026-09-14T14:02:33.791+10:00"
},
"ready_to_confirm": true,
"creates": "lots only",
"counts": {
"lots": 1,
"errors": 0,
"warnings": 0
},
"stages": [
{
"stage": "Stage 1",
"lots": 1
}
],
"rows": [
{
"row": 1,
"stage": "Stage 1",
"lot": "101",
"street": null,
"land_price": "$350,000",
"design": null,
"facade": null,
"package_price": null,
"match": null,
"status": "success",
"error": null,
"notes": null
}
],
"page": 1,
"has_more": false
}Stock / Developments
Get a lot import
The parsed rows of an import, to review before confirming.
GET
/
{agency_uid}
/
developments
/
{development_id}
/
lot_imports
/
{id}
Get a lot import
curl --request GET \
--url https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"import": {
"id": 22,
"importer": "lot_list",
"lot_import_status": "awaiting_mapping",
"source_url": null,
"stocklist_filename": null,
"completed": false,
"development_id": 593363170,
"supplier_id": null,
"project_id": null,
"created_at": "2026-09-14T14:02:33.791+10:00",
"updated_at": "2026-09-14T14:02:33.791+10:00"
},
"ready_to_confirm": true,
"creates": "lots only",
"counts": {
"lots": 1,
"errors": 0,
"warnings": 0
},
"stages": [
{
"stage": "Stage 1",
"lots": 1
}
],
"rows": [
{
"row": 1,
"stage": "Stage 1",
"lot": "101",
"street": null,
"land_price": "$350,000",
"design": null,
"facade": null,
"package_price": null,
"match": null,
"status": "success",
"error": null,
"notes": null
}
],
"page": 1,
"has_more": false
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Agency public_uid
Query Parameters
Response
200 - application/json
OK